package it.csi.demo.democomp.presentation.democomp.action;

/// JUMP_ACTION
public class JumpExtCommand implements ICommand {

	// il serial version uid e' fisso in quanto la classe in oggetto e' serializzabile
	// solo per poter essere inserita in sessione web e non viene scambiata con altre
	// componenti.
	private static final long serialVersionUID = 1L;

	String locationCode;
	public JumpExtCommand(String locationCode) {
		this.locationCode = locationCode;
	}
	public String doCommand(BaseAction strutsAction)
			throws CommandExecutionException {
		// clear page scoped appdata
		strutsAction.clearPageScopedAppData();
		return "GO_TO_" + locationCode;
	}
};
